Daily
Requesting info and stats for daily objectives
Returns the currently highlighted category and the next reset time.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
*/*
statusinteger · int32Optional
pathstringOptional
timeStampstringOptional
processingTimeinteger · int64Optional
get
/objectives/daily/info200
OK
Returns the current daily objective of a player and it's progress.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
playerstringRequired
name or uuid of the player
Query parameters
languagestringOptional
language to display description in
Responses
200
The player has an active objective.
*/*
statusinteger · int32Optional
pathstringOptional
timeStampstringOptional
processingTimeinteger · int64Optional
204
The player hasn't joined yet today or the plugins aren't in sync.
*/*
get
/objectives/daily/{player}Returns the daily objective stats of a player.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
playerstringRequired
name or uuid of the player
Responses
200
The player has daily objective stats.
*/*
statusinteger · int32Optional
pathstringOptional
timeStampstringOptional
processingTimeinteger · int64Optional
204
The player has never finished any daily objective.
*/*
get
/objectives/daily/{player}/statsReturns all stats of players with an active streak ordered by the streak duration and completion time.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
*/*
statusinteger · int32Optional
pathstringOptional
timeStampstringOptional
processingTimeinteger · int64Optional
get
/objectives/daily/streaks200
OK
Last updated